# Introduction

Screeps Typescript Starter is a starting point for a Screeps AI written in [Typescript](http://www.typescriptlang.org/). It provides everything you need to start writing your AI whilst leaving `main.ts` as empty as possible.

[View on GitHub](https://github.com/screepers/screeps-typescript-starter)

## What's new \(v3.0\)

### Simpler setup!

Over the past few months, we've felt that the TypeScript starter needed a lot of work. We were starting to realise that it had become too opinionated and was making too many decisions regarding AI design.

The new version does away with all this and only provides only the code and tools necessary to base your TypeScript AI off of. This means you'll spend far less time configuring the starter kit, and more time actually writing your code.

### Rollup!

We have swapped the bundler from Webpack to [Rollup](https://rollupjs.org/). Rollup is easier to configure and can be set up to do everything needed for Screeps. It also comes with various improvements over Webpack, which you can learn more about [here](in-depth/module-bundling.md).

### Better docs!

We've also spent some time reworking the documentation from the ground-up, which is now generated through [Gitbooks](https://www.gitbook.com/). Includes all the essentials to get you up and running with Screeps AI development in TypeScript, as well as various other tips and tricks to further improve your development workflow.

Maintaining the docs will also become a more community-focused effort, which means you too, can take part in improving the docs for this starter kit.

## Download

Download the latest source [here](https://github.com/screepers/screeps-typescript-starter/archive/master.zip), or clone this repo.

```bash
git clone https://github.com/screepers/screeps-typescript-starter.git
```

Extract it to a folder, and [let's get started](getting-started/installation.md)!

